Tag: android-support-library

Why does AOSP add new APIs to support libraries without adding them to SDK?

I’ve been developing for Android for a few months now, and this question arises again and again: what is the motivation behind addition of completely new features (APIs) to support libraries without them being available in the standard SDK? Example: FragmentTabHost API is available only through android.support.v4.app.FragmentTabHost. It is fine most of the time, but […]

Android studio error After run the project

I am getting following error while trying to run my app from android studio Execution failed for task ‘:app:compileDebugJava’. Cannot find System Java Compiler. Ensure that you have installed a JDK (not just a JRE) and configured your JAVA_HOME system variable to point to the according directory. After searching on internet, I found some solution […]

Can I remove the android-support-v4.jar library?

When you create a project, it comes with this library added by default: android-support-v4.jar Can I remove it? What happens if I remove the library? Can the app stop working in some phones?

How to fix “Support-v13:19.1.0 depends on libraries but is not a library itself”?

I just launched a project in Android Studio 0.8.1 for the first time since upgrading from 0.6.2. The error thrown is “Error:Module version com.android.support:support-v13:19.1.0 depends on libraries but is not a library itself”. Does anyone have an idea why this is? I have installed some of the new API20 stuff to play with Android L, […]

How to show the shadow of the ActionBar&Toolbar of the support library on all Android versions?

This is a simple question: I use the new support library, which allows me to have a Toolbar instance and even set it as the actionBar of the activity (or use the default one). How do I customize the shadow being cast by the Toolbar (or the default ActionBar) ? I’ve tried to use “setElevation” […]

How do I create custom preferences using android.support.v7.preference library?

I want to support at least api 10, I want to be able to style my preferences nicely, I want to be able to have headers (or to show PreferenceScreens). It seems that PreferenceActivity, not fully supported by AppCompat‘s coloring, will not fit. So I’m trying to use AppCompatActivity and PreferenceFragmentCompat. public class Prefs extends […]

Android SDK Version 25 – android.support v7:25 gives “No resource found that matches @color/hint_foreground_material_light” Adobe Creative SDK?

I get the following error while the gradle sync/build after switching the compileSdkVersion to 25 and using the latest android.support library versions. compile ‘com.android.support:appcompat-v7:25.0.0’ compile ‘com.android.support:design:25.0.0’ compile ‘com.android.support:recyclerview-v7:25.0.0’ Error: No resource found that matches the given name (at ‘android:textColorHint’ with value ‘@color/hint_foreground_material_light’). Any idea? EDIT: I think thats because of Adobe Creative SDK… Not sure. […]

Google Play Services 9.2.0 missing classes

This question already has an answer here: Places class is removed from android play services 9.2.0 3 answers

Notification throws error when using vector drawables

I get the following exception when I use a vector drawable to set the small icon for a notification : android.app.RemoteServiceException: Bad notification posted from package com.qbes.xxx: Couldn’t create icon: StatusBarIcon(pkg=com.qbes.xxxuser=0 id=0x7f020082 level=0 visible=true num=0 ) Here is my code : mNotificationBuilder = new android.support.v4.app.NotificationCompat.Builder(this) .setDefaults(android.support.v4.app.NotificationCompat.DEFAULT_LIGHTS) .setSound(null) .setSmallIcon(R.drawable.logo_white) .setColor(getResources().getColor(R.color.colorPrimary)) .setCategory(android.support.v4.app.NotificationCompat.CATEGORY_PROGRESS) .setContentTitle(“Trip in Progress…”) .setAutoCancel(false) .setProgress(0, […]

Code Analysis Error (Unexpected namespace prefix) after upgrading Android Support Library 23.2.0

I upgraded to Android Support Library 23.2.0 and added vectorDrawables.useSupportLibrary = true to my build.gradle, so that I have vector drawable support for apis lower than 21. (See here for details). I also replaced android:src=”@drawable/ic_create_black_24dp” with app:srcCompat=”@drawable/ic_create_black_24dp” in every Imageview that uses vector drawables. The app compiles and works perfectly fine, but code analysis reports: […]

Android Babe is a Google Android Fan, All about Android Phones, Android Wear, Android Dev and Android Games Apps and so on.